Skip to main content
`Ctrl`+`K`

# SNESNGSFn

A prototype of a `SNES` nonlinear Gauss-Seidel function that would be passed to `SNESSetNGS()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode SNESNGSFn(SNES snes, Vec u, Vec b, PetscCtx ctx);

## Calling Sequence

- snes - the `SNES` context obtained from `SNESCreate()`

- u - the current solution, updated in place

- b - the right-hand side vector (which may be `NULL`)

- ctx - [optional] user-defined context for matrix evaluation routine

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetJacobian()`, `SNESGetJacobian()`, `SNESFunctionFn`, `SNESSetFunction()`, `SNESGetFunction()`, `SNESJacobianFn`

## Level

beginner

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages